(function ($) {
        "use strict";
            var WidgetScrollSequenceHandler = function($scope, $) { 
                let is_editable = elementorFrontend?.isEditMode();
                let vlMain = $scope.find('.wkit-multi-step-vl-wrapper');
let vlStep = vlMain[0].querySelectorAll('.wkit-vl-pix-levels-step');

vlStep.forEach(function(el) {
    if (!el.classList.contains('wkit-vl-active')) {
        el.classList.add('wkit-vl-active');
    }else{
        el.classList.remove('wkit-vl-active');
        el.classList.add('wkit-vl-complete');
    }
});

var vlNumber = vlMain[0].querySelectorAll('.wkit-vl-inner-style-2 .wkit-prg-two');
vlNumber.forEach(function(element) {
    var dataIndex = parseInt(element.getAttribute('data-index'));
    element.setAttribute('data-index', dataIndex + 1);
});

var vlCheckIcon = vlMain[0].querySelectorAll('.wkit-vl-inner-style-3 .wkit-vl-active-yes .wkit-vl-pix-levels-dot-inner');
vlCheckIcon.forEach(function(ele) {
    ele.classList.add('wkit-vl-check-mark');
});
  
            };	
        $(window).on('elementor/frontend/init', function () {
          elementorFrontend.hooks.addAction('frontend/element_ready/wb-15la2123.default', WidgetScrollSequenceHandler);
        });
    })(jQuery);